### Class

# Nautilus Menu

#### Description [src]

    final class Nautilus.Menu : GObject.Object
    {
      /* No available fields */
    }

A submenu linked to a `NautilusMenuItem`.

`NautilusMenu` is an object that describes a submenu in a file manager menu. Extensions can provide `NautilusMenu` objects by attaching them to `NautilusMenuItem` objects, using `nautilus_menu_item_set_submenu()`.

#### Ancestors

- GObject

#### Constructors

###### nautilus_menu_new

Creates a new `NautilusMenu`.

#### Instance methods

###### nautilus_menu_append_item

Append a `NautilusMenuItem` to the current `NautilusMenu`.

###### nautilus_menu_get_items

Get a list of `NautilusMenuItem` for the current `NautilusMenu`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct NautilusMenuClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.